Bug 1264654 - (php-aws-sdk3) Review Request: php-aws-sdk3 - Amazon Web Services framework for PHP (3.x)
Review Request: php-aws-sdk3 - Amazon Web Services framework for PHP (3.x)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-aws-php-sns-message-validator
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 18:15 EDT by Shawn Iwinski
Modified: 2016-05-07 08:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-30 19:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)
phpci.log (16.02 KB, text/plain)
2016-04-16 02:29 EDT, Remi Collet
no flags Details
phpci.log (88.73 KB, text/plain)
2016-04-16 02:30 EDT, Remi Collet
no flags Details
review.txt (8.38 KB, text/plain)
2016-04-16 02:31 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-09-19 18:15:39 EDT
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d10a4be0254b058f5debe02e210c3608756806bd/php-aws-sdk2/php-aws-sdk2.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-aws-sdk2-2.8.21-1.fc22.src.rpm

Description:
Amazon Web Services SDK for PHP enables developers to build solutions for
Amazon Simple Storage Service (Amazon S3), Amazon Elastic Compute Cloud
(Amazon EC2), Amazon SimpleDB, and more.

**** NOTE: This is major version 2.x of php-aws-sdk.  If you need a newer major
****       version, install php-aws-sdk instead.


Fedora Account System Username: siwinski

---

Many packages still require php-aws-sdk version 2.x so before updating that package to 3.x, this package will provide the 2.x version.
Comment 1 Remi Collet 2015-09-25 04:42:35 EDT
I'm a bit confused..
How is this going to be updated ?

Does yum/dnf will pull new php-aws-sdk version 3  (especially if some package requires v3)

Or does yum/dnf wil replace it with php-aws-sdk2 (especially if some package will requires v2)

I need to think more... (Perhaps a stupid idea is to use another top dir, to allow both installation, as consumer will use the provided autoload, perhaps better to create a php-aws-sdk3, really don't know)

> Many packages 
Which ?
It seems only owncloud use it (for now)
Comment 2 Shawn Iwinski 2015-09-27 15:44:37 EDT
Sorry, "package" was the wrong term to use here.  Many projects I have seen upstream have not updated to AWS API v3 or Guzzle v6 yet so I would like to keep both of these package versions available while still being able to update the main RPM packages to their latest version.
Comment 3 Remi Collet 2016-03-24 02:44:00 EDT
What about php-aws-sdk3 ? (like done for Guzzle)
Comment 5 Remi Collet 2016-04-16 01:40:21 EDT
you may want to switch autoloader without @include_once.

I have build failure during fedora-review.

It seems "phpunit -d memory_limit=1G ..." works, can you please check ?
Comment 6 Remi Collet 2016-04-16 01:46:32 EDT
Hmm... scratch build ok
http://koji.fedoraproject.org/koji/taskinfo?taskID=13679876
Comment 7 Remi Collet 2016-04-16 02:29 EDT
Created attachment 1147844 [details]
phpci.log

phpCompatInfo version 5.0.0 DB version 1.7.0 built Apr 12 2016 08:25:26 CEST
Comment 8 Remi Collet 2016-04-16 02:30 EDT
Created attachment 1147845 [details]
phpci.log

phpCompatInfo version 5.0.0 DB version 1.7.0 built Apr 12 2016 08:25:26 CEST
Comment 9 Remi Collet 2016-04-16 02:31 EDT
Created attachment 1147846 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -r -n /dev/shm/extras/SRPMS/php-aws-sdk3-3.17.6-1.fc21.remi.src.rpm
Buildroot used: fedora-rawhide-x86_64
Comment 10 Remi Collet 2016-04-16 02:35:27 EDT
[~]: %check is present and all tests pass.
	OK with PHP 5.6.20
	OK with PHP 7.0.6RC1
	=> some failure during fedora-review
	   mays need to increase memory-limit (1G seems enough)

[~]: Requires correct, justified where necessary.
	May want to drop Conflicts

	php-doctrine-cache < 1.4.1 don't have the autoloader so no issue
	php-doctrine-cache >= 2 when exists will probably be php-doctrine-cache2
	php-aws-php-sns-message-validator < 1 doesn't exists
	php-aws-php-sns-message-validator >= 2 will probably be php-aws-php-sns-message-validator2
	See PHP-SIG discussion.

I have to run fedora-review against an altered spec file

-%{_bindir}/phpunit --verbose --bootstrap bootstrap.php
+%{_bindir}/phpunit -d memory_limit=1G --verbose --bootstrap bootstrap.php

But, as scratch build succeeds I won't consider this as a blocker.

Some comments but no blocker, as the package complies to the Packaging Guidelines:

=== APPROVED ===
Comment 11 Shawn Iwinski 2016-04-18 18:13:40 EDT
THANKS for the review!  SCM requests opened via pkgdb.



(In reply to Remi Collet from comment #10)
> you may want to switch autoloader without @include_once.

I will make this fix after initial import.



(In reply to Remi Collet from comment #10)
> [~]: %check is present and all tests pass.
> 	OK with PHP 5.6.20
> 	OK with PHP 7.0.6RC1
> 	=> some failure during fedora-review
> 	   mays need to increase memory-limit (1G seems enough)

I will modify the memory limit in the tests after initial import



> [~]: Requires correct, justified where necessary.
> 	May want to drop Conflicts
> 
> 	php-doctrine-cache < 1.4.1 don't have the autoloader so no issue
> 	php-doctrine-cache >= 2 when exists will probably be php-doctrine-cache2
> 	php-aws-php-sns-message-validator < 1 doesn't exists
> 	php-aws-php-sns-message-validator >= 2 will probably be
> php-aws-php-sns-message-validator2
> 	See PHP-SIG discussion.

We'll discuss in PHP-SIG mailing group.



> I have to run fedora-review against an altered spec file
> 
> -%{_bindir}/phpunit --verbose --bootstrap bootstrap.php
> +%{_bindir}/phpunit -d memory_limit=1G --verbose --bootstrap bootstrap.php
> 
> But, as scratch build succeeds I won't consider this as a blocker.
> 
> Some comments but no blocker, as the package complies to the Packaging
> Guidelines:
> 
> === APPROVED ===
Comment 12 Gwyn Ciesla 2016-04-19 08:55:36 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-aws-sdk3
Comment 13 Fedora Update System 2016-04-20 13:03:39 EDT
php-aws-sdk3-3.18.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0973a7185f
Comment 14 Fedora Update System 2016-04-20 13:03:46 EDT
php-aws-sdk3-3.18.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd1cc9a342
Comment 15 Fedora Update System 2016-04-21 17:58:37 EDT
php-aws-sdk3-3.18.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0973a7185f
Comment 16 Fedora Update System 2016-04-22 16:58:04 EDT
php-aws-sdk3-3.18.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd1cc9a342
Comment 17 Fedora Update System 2016-04-30 19:52:58 EDT
php-aws-sdk3-3.18.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-05-07 08:01:17 EDT
php-aws-sdk3-3.18.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.